<script lang="ts">
  import { browser } from '$app/environment';
  // if not in a browser, this will cause an error (during pre-rendering/sso)
  type MessageData = {
    source: string;
    url: string;
    keepOpen: boolean;
  };
  if (browser) {
    // https://github.com/authts/oidc-client-ts/blob/78f36f76c46a7bbbe5a3674792128bb8ba561c0c/src/navigators/AbstractChildWindow.ts#L
    const messageData: MessageData = {
      source: 'oidc-client',
      url: location.href,
      keepOpen: false
    };
    parent.postMessage(messageData, location.origin);
  }
</script>

<h1>Hack the planet!</h1>

<p>
  But not this page, it's empty ☹️ maybe we can interest you in our
  <a href="https://ui.sandbox.ncaecybergames.org">Sandbox</a>?
</p>
